org.apache.olingo.odata2.api.edm.provider

## Class EntitySet

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.EntitySet

-     public class EntitySet
      extends Object

  Objects of this class represent an entity set

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitySet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `Documentation` | `getDocumentation()`
    `FullQualifiedName` | `getEntityType()`
    `Mapping` | `getMapping()`
    `String` | `getName()`
    `EntitySet` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `EntitySet`
    `EntitySet` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `EntitySet`
    `EntitySet` | `setDocumentation(Documentation documentation)` Sets the `Documentation`
    `EntitySet` | `setEntityType(FullQualifiedName entityType)` Sets the `FullQualifiedName` of the `EntityType` of this `EntitySet`
    `EntitySet` | `setMapping(Mapping mapping)` Sets the `Mapping`
    `EntitySet` | `setName(String name)` Sets the name of this `EntitySet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntitySet

          public EntitySet()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String> name of this entity set

    - #### getEntityType

          public FullQualifiedName getEntityType()

      Returns:
        `FullQualifiedName` of the entity type of this entity set

    - #### getMapping

          public Mapping getMapping()

      Returns:
        `Mapping` for this type

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setName

          public EntitySet setName(String name)

      Sets the name of this `EntitySet`
      Parameters:
        `name` -
      Returns:
        `EntitySet` for method chaining

    - #### setEntityType

          public EntitySet setEntityType(FullQualifiedName entityType)

      Sets the `FullQualifiedName` of the `EntityType` of this `EntitySet`
      Parameters:
        `entityType` -
      Returns:
        `EntitySet` for method chaining

    - #### setMapping

          public EntitySet setMapping(Mapping mapping)

      Sets the `Mapping`
      Parameters:
        `mapping` -
      Returns:
        `EntitySet` for method chaining

    - #### setDocumentation

          public EntitySet setDocumentation(Documentation documentation)

      Sets the `Documentation`
      Parameters:
        `documentation` -
      Returns:
        `EntitySet` for method chaining

    - #### setAnnotationAttributes

          public EntitySet setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `EntitySet`
      Parameters:
        `annotationAttributes` -
      Returns:
        `EntitySet` for method chaining

    - #### setAnnotationElements

          public EntitySet setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `EntitySet`
      Parameters:
        `annotationElements` -
      Returns:
        `EntitySet` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.